## GUPnPSearchCriteriaParser GUPnPSearchCriteriaParser — A/V search criteria parser |

## Functions

GUPnPSearchCriteriaParser * | gupnp_search_criteria_parser_new ()
gboolean | gupnp_search_criteria_parser_parse_text ()

## Types and Values

| GUPnPSearchCriteriaParser
enum | GUPnPSearchCriteriaOp

## Description

GUPnPSearchCriteriaParser parses ContentDirectory search criteria strings.

Note that no signals will be emitted if a wildcard is specified, and that the user is responsible for ensuring precedence of conjunction over disjunction.

## Functions

### gupnp_search_criteria_parser_new ()

    GUPnPSearchCriteriaParser *
    gupnp_search_criteria_parser_new (void);

#### Returns

A new GUPnPSearchCriteriaParser object.

### gupnp_search_criteria_parser_parse_text ()

    gboolean
    gupnp_search_criteria_parser_parse_text
                                   (GUPnPSearchCriteriaParser *parser,
                                    const char *text,
                                    GError **error);

Parses `text` , emitting the various defined signals on the way. If an error occured `error` will be set.

#### Parameters

parser | A GUPnPSearchCriteriaParser |
text | The search criteria string to be parsed |
error | The location where to store the error information if any, or NULL |

#### Returns

TRUE on success.

## Types and Values

### GUPnPSearchCriteriaParser

    typedef struct {
            GObject parent;

            GUPnPSearchCriteriaParserPrivate *priv;
    } GUPnPSearchCriteriaParser;

### enum GUPnPSearchCriteriaOp

The possible operators in SearchCriteria strings.

#### Members

GUPNP_SEARCH_CRITERIA_OP_EQ | '=' |
GUPNP_SEARCH_CRITERIA_OP_NEQ | '!=' |
GUPNP_SEARCH_CRITERIA_OP_LESS | '<' |
GUPNP_SEARCH_CRITERIA_OP_LEQ | '<=' |
GUPNP_SEARCH_CRITERIA_OP_GREATER | '>' |
GUPNP_SEARCH_CRITERIA_OP_GEQ | '>=' |
GUPNP_SEARCH_CRITERIA_OP_CONTAINS | 'contains' |
GUPNP_SEARCH_CRITERIA_OP_DOES_NOT_CONTAIN | 'doesNotContain' |
GUPNP_SEARCH_CRITERIA_OP_DERIVED_FROM | 'derivedFrom' |
GUPNP_SEARCH_CRITERIA_OP_EXISTS | 'exists' |